#pragma once

#include "common.h"

u32 apic_get_local_base();
void apic_enable();
void send_eoi();
void ioapic_write(u8 reg, u32 value);
u32 ioapic_read(u8 reg);
void ioapic_init();
u32 *apic_reg(u32 reg);
